Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Bumping to maintained version of awesome_nested_set

  • Loading branch information...
commit 35a17717feb6cec941343c8acfe9f48075e935ff 1 parent a836021
@kamarcum authored
View
2  Gemfile
@@ -2,7 +2,7 @@
source :gemcutter
gem "activerecord", "~> 3.0"
gem "activesupport", "~> 3.0"
-gem "moretea-awesome_nested_set", ">= 0"
+gem "awesome_nested_set", ">= 2.0"
group :development do
gem "rake", ">= 0"
View
6 Gemfile.lock
@@ -30,6 +30,8 @@ GEM
activesupport (3.0.0)
arel (1.0.1)
activesupport (~> 3.0.0)
+ awesome_nested_set (2.0.1)
+ activerecord (>= 3.0.0)
builder (2.1.2)
erubis (2.6.6)
abstract (>= 1.0.0)
@@ -39,8 +41,6 @@ GEM
mime-types
treetop (>= 1.4.5)
mime-types (1.16)
- moretea-awesome_nested_set (1.4.3.1)
- activerecord (~> 3.0.0)
polyglot (0.3.1)
rack (1.2.1)
rack-mount (0.6.13)
@@ -74,8 +74,8 @@ PLATFORMS
DEPENDENCIES
activerecord (~> 3.0)
activesupport (~> 3.0)
+ awesome_nested_set (>= 2.0)
bundler (~> 1.0)
- moretea-awesome_nested_set
rails (~> 3.0)
rake
rspec (~> 1.3)
View
2  acts_as_commentable_with_threading.gemspec
@@ -18,5 +18,5 @@ ACTS_AS_COMMENTABLE_WITH_THREADING = Gem::Specification.new do |s|
s.add_dependency 'activerecord', '~> 3.0'
s.add_dependency 'activesupport', '~> 3.0'
- s.add_dependency 'moretea-awesome_nested_set'
+ s.add_dependency 'awesome_nested_set', '>= 2.0'
end
View
4 rails/init.rb
@@ -1,6 +1,2 @@
# encoding: utf-8
require 'acts_as_commentable_with_threading'
-
-# Why isn't this being done in the railtie require?
-ActiveRecord::Base.send(:include, CollectiveIdea::Acts::NestedSet::Base)
-
Please sign in to comment.
Something went wrong with that request. Please try again.